Index: trunk/build/linux/lib/TAppCommon/makefile
===================================================================
--- trunk/build/linux/lib/TAppCommon/makefile	(revision 42)
+++ trunk/build/linux/lib/TAppCommon/makefile	(revision 56)
@@ -3,6 +3,6 @@
 
 # set pathes to the correct directories
-SRC_DIR			= ../../../../source/App/TAppCommon
-INC_DIR			= ../../../../source/App/TAppCommon
+SRC_DIR			= ../../../../source/Lib/TAppCommon
+INC_DIR			= ../../../../source/Lib
 LIB_DIR			= ../../../../lib
 BIN_DIR			= ../../../../bin
Index: trunk/build/linux/lib/TLibCommon/makefile
===================================================================
--- trunk/build/linux/lib/TLibCommon/makefile	(revision 42)
+++ trunk/build/linux/lib/TLibCommon/makefile	(revision 56)
@@ -4,5 +4,5 @@
 # set pathes to the correct directories
 SRC_DIR			= ../../../../source/Lib/TLibCommon
-INC_DIR			= ../../../../source/Lib/TLibCommon
+INC_DIR			= ../../../../source/Lib
 LIB_DIR			= ../../../../lib
 BIN_DIR			= ../../../../bin
@@ -37,4 +37,5 @@
 			$(OBJ_DIR)/TComCABACTables.o \
 			$(OBJ_DIR)/TComAdaptiveLoopFilter.o \
+			$(OBJ_DIR)/TComSampleAdaptiveOffset.o \
 			$(OBJ_DIR)/TComBitStream.o \
 			$(OBJ_DIR)/TComDataCU.o \
@@ -47,8 +48,6 @@
 			$(OBJ_DIR)/TComPicYuv.o \
 			$(OBJ_DIR)/TComPicYuvMD5.o \
-			$(OBJ_DIR)/TComPredFilter.o \
 			$(OBJ_DIR)/TComPrediction.o \
 			$(OBJ_DIR)/TComRdCost.o \
-			$(OBJ_DIR)/TComRdCostWeightPrediction.o \
 			$(OBJ_DIR)/TComResidualGenerator.o \
 			$(OBJ_DIR)/TComRom.o \
@@ -56,8 +55,9 @@
 			$(OBJ_DIR)/TComTrQuant.o \
 			$(OBJ_DIR)/TComYuv.o \
-			$(OBJ_DIR)/TComMVDRefData.o \
+			$(OBJ_DIR)/TComInterpolationFilter.o \
+			$(OBJ_DIR)/libmd5.o \
+			$(OBJ_DIR)/TComWeightPrediction.o \
+			$(OBJ_DIR)/TComRdCostWeightPrediction.o \
 			$(OBJ_DIR)/TComWedgelet.o \
-			$(OBJ_DIR)/TComWeightPrediction.o \
-			$(OBJ_DIR)/libmd5.o \
 
 LIBS				= -lpthread
Index: trunk/build/linux/lib/TLibDecoder/makefile
===================================================================
--- trunk/build/linux/lib/TLibDecoder/makefile	(revision 42)
+++ trunk/build/linux/lib/TLibDecoder/makefile	(revision 56)
@@ -4,5 +4,5 @@
 # set pathes to the correct directories
 SRC_DIR			= ../../../../source/Lib/TLibDecoder
-INC_DIR			= ../../../../source/Lib/TLibDecoder
+INC_DIR			= ../../../../source/Lib
 LIB_DIR			= ../../../../lib
 BIN_DIR			= ../../../../bin
@@ -33,4 +33,6 @@
 # set objects
 OBJS          	= \
+				$(OBJ_DIR)/AnnexBread.o \
+				$(OBJ_DIR)/NALread.o \
 				$(OBJ_DIR)/SEIread.o \
 				$(OBJ_DIR)/TDecBinCoderCABAC.o \
Index: trunk/build/linux/lib/TLibEncoder/makefile
===================================================================
--- trunk/build/linux/lib/TLibEncoder/makefile	(revision 42)
+++ trunk/build/linux/lib/TLibEncoder/makefile	(revision 56)
@@ -4,5 +4,5 @@
 # set pathes to the correct directories
 SRC_DIR			= ../../../../source/Lib/TLibEncoder
-INC_DIR			= ../../../../source/Lib/TLibEncoder
+INC_DIR			= ../../../../source/Lib
 LIB_DIR			= ../../../../lib
 BIN_DIR			= ../../../../bin
@@ -33,7 +33,10 @@
 # set objects
 OBJS          	= \
+			$(OBJ_DIR)/NALwrite.o \
 			$(OBJ_DIR)/SEIwrite.o \
 			$(OBJ_DIR)/TEncBinCoderCABAC.o \
+			$(OBJ_DIR)/TEncBinCoderCABACCounter.o \
 			$(OBJ_DIR)/TEncAdaptiveLoopFilter.o \
+			$(OBJ_DIR)/TEncSampleAdaptiveOffset.o \
 			$(OBJ_DIR)/TEncCavlc.o \
 			$(OBJ_DIR)/TEncCu.o \
@@ -44,6 +47,6 @@
 			$(OBJ_DIR)/TEncSlice.o \
 			$(OBJ_DIR)/TEncTop.o \
-			$(OBJ_DIR)/TEncFormattedStringParser.o \
-			$(OBJ_DIR)/TEncSeqStructure.o \
+			$(OBJ_DIR)/TEncPic.o \
+			$(OBJ_DIR)/TEncPreanalyzer.o \
 			$(OBJ_DIR)/WeightPredAnalysis.o \
 
Index: trunk/build/linux/lib/TLibRenderer/makefile
===================================================================
--- trunk/build/linux/lib/TLibRenderer/makefile	(revision 42)
+++ trunk/build/linux/lib/TLibRenderer/makefile	(revision 56)
@@ -4,5 +4,5 @@
 # set pathes to the correct directories
 SRC_DIR			= ../../../../source/Lib/TLibRenderer
-INC_DIR			= ../../../../source/Lib/TLibRenderer
+INC_DIR			= ../../../../source/Lib
 LIB_DIR			= ../../../../lib
 BIN_DIR			= ../../../../bin
@@ -34,4 +34,5 @@
 OBJS          	= \
 			$(OBJ_DIR)/TRenFilter.o \
+			$(OBJ_DIR)/TRenInterpFilter.o \
 			$(OBJ_DIR)/TRenImage.o \
 			$(OBJ_DIR)/TRenImagePlane.o \
Index: trunk/build/linux/lib/TLibVideoIO/makefile
===================================================================
--- trunk/build/linux/lib/TLibVideoIO/makefile	(revision 42)
+++ trunk/build/linux/lib/TLibVideoIO/makefile	(revision 56)
@@ -4,5 +4,5 @@
 # set pathes to the correct directories
 SRC_DIR			= ../../../../source/Lib/TLibVideoIO
-INC_DIR			= ../../../../source/Lib/TLibVideoIO
+INC_DIR			= ../../../../source/Lib
 LIB_DIR			= ../../../../lib
 BIN_DIR			= ../../../../bin
@@ -33,5 +33,4 @@
 # set objects
 OBJS          	= \
-			$(OBJ_DIR)/TVideoIOBits.o \
 			$(OBJ_DIR)/TVideoIOYuv.o \
 						
